Last Comment Bug 1110686 - GIF with no frame delay renders a white pixel
: GIF with no frame delay renders a white pixel
Status: NEW
gfx-noted
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: 34 Branch
: All All
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan] (PTO through 8/30)
Mentors:
Depends on: 1126330
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-12 03:40 PST by Lars Dɪᴇᴄᴋᴏᴡ
Modified: 2016-02-10 10:30 PST (History)
6 users (show)
anthony.s.hughes: needinfo? (seth.bugzilla)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
GIF with no frame delay (1.10 MB, image/gif)
2014-12-12 03:40 PST, Lars Dɪᴇᴄᴋᴏᴡ
no flags Details
GIF with 1 centisecond frame delay each (1.10 MB, image/gif)
2014-12-12 03:43 PST, Lars Dɪᴇᴄᴋᴏᴡ
no flags Details
bug1110686.png (540.57 KB, image/png)
2016-02-09 17:46 PST, Lars Dɪᴇᴄᴋᴏᴡ
no flags Details

Description User image Lars Dɪᴇᴄᴋᴏᴡ 2014-12-12 03:40:45 PST
Created attachment 8535538 [details]
GIF with no frame delay

To reproduce:

Display attached image with Firefox 34.0.5. Since the browser defaults to rescale-to-window, click once to set image scaling to 1:1. Observe the colour of the pixel at coordinates 1313,892 relative to the top-left corner of the image.

Actual result:

Colour is white.

Expected result:

Colour should be a deep blue.


Further information:

This bug does not occur with Opera 12.16, Chromium 39.0.2171.65, gifview (from gifsicle 1.87).

When the GIF frame delay is changed from none to 1 centisecond each, Firefox renders the pixel correctly.
Comment 1 User image Lars Dɪᴇᴄᴋᴏᴡ 2014-12-12 03:43:22 PST
Created attachment 8535539 [details]
GIF with 1 centisecond frame delay each

File contains the same encoded image data as above, just the frame delay is different.
Comment 2 User image Alice0775 White 2014-12-12 04:46:36 PST
It seems to be same between Firefox34 and IE11 on windows7x64.
Comment 3 User image Glenn Randers-Pehrson 2014-12-12 05:22:19 PST
I'm seeing the reported behavior using a recent build from hg tip (Firefox37.0a1 changeset 219326), on Ubuntu.
Comment 4 User image Milan Sreckovic [:milan] (PTO through 8/30) 2014-12-12 11:42:46 PST
A recent regression?
Comment 5 User image Seth Fowler [:seth] [:s2h] 2015-08-04 19:03:37 PDT
Fixed in bug 1126330. We now play back the 0-frame-delay GIF just like Blink.
Comment 6 User image Lars Dɪᴇᴄᴋᴏᴡ 2016-02-09 03:25:05 PST
Still broken in Firefox 44. Please retest.
Comment 7 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2016-02-09 09:23:39 PST
(In reply to Lars Dɪᴇᴄᴋᴏᴡ from comment #6)
> Still broken in Firefox 44. Please retest.

This looks fine on my end. Can you please provide more details?
Comment 8 User image Lars Dɪᴇᴄᴋᴏᴡ 2016-02-09 17:46:16 PST
Created attachment 8717731 [details]
bug1110686.png

I don't know, what more details do you need?

Screenshot of the rendering defect highlighted with a pink circle attached.
Comment 9 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2016-02-10 10:19:27 PST
(In reply to Lars Dɪᴇᴄᴋᴏᴡ from comment #8)
> Created attachment 8717731 [details]
> bug1110686.png
> Screenshot of the rendering defect highlighted with a pink circle attached.

Thanks, I can see the issue now on the GIF with no frame delay. I'm updating the summary to more accurately describe the issue. I'll see if I can track down if this was ever fixed and if so, what fixed it and what regressed it.
Comment 10 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2016-02-10 10:30:05 PST
Okay, so I've tested and reproduced the issue Firefox 44.0, 43.0, 42.0 and 41.0. I think it's safe to say that this issue was never fixed.

Seth, do you have any ideas as to what could be happening here?

Note You need to log in before you can comment on or make changes to this bug.